Feature: FR-07 Property Advertisement List (Unauthenticated)

    Scenario: Unauthenticated user should see the list of properties
        Given there exists such advertisements
            | title      | description                        | type      | property_type | location         | room_count | area | floor | floor_count | price    |
            | Apartment  | Small apartment in Tartu for rent  | rent      | apartment     | Tartu, Estonia   | 1          | 13   | 2     | 4           | 430      |
            | Nice house | Cool house in Tallinn, pls buy     | sell      | house         | Tallinn, Estonia | 12         | 200  | 1     |             | 640000   |
        And I am not logged in
        When I visit the property advertisement list page
        Then I should see the list of all properties

    Scenario: Unauthenticated user should see a message that there is no advertisements if the database is empty
        Given there exists such advertisements
            | title      | description                        | type      | property_type | location         | room_count | area | floor | floor_count | price    |
        And I am not logged in
        When I visit the property advertisement list page
        Then I should see a message that there is no advertisements

